8.189. python-kerberos

Updated python-kerberos packages that fix two bugs are now available for Red Hat Enterprise Linux 6.
The python-kerberos packages contain a high-level wrapper for Kerberos Generic Security Service Application Program Interface (GSSAPI) operations.

Bug Fixes

BZ#973379
Previously, the name of the egg-info file contained an incorrect version of the python-kerberos packages. As a consequence, the module dependency resolution did not work correctly. With this update, the egg-info file name contains the correct version, and resolving dependencies works as expected.
BZ#1057333
Prior to this update, the authenticate_gss_client_wrap() function miscalculated the length of the username string when wrapping it. Consequently, the Kerberos user name was not properly encoded into a GSSAPI message, and the authentication failed. This patch fixes the calculation of the username string length, and the authentication no longer fails.
Users of python-kerberos are advised to upgrade to these updated packages, which fix these bugs.